const logDebug = true;

export function aeLog() {
  if (!logDebug) {
    return;
  }
  let msg = '';
  for (let i = 0; arguments && i < arguments.length; i++) {
    if (typeof arguments[i] === 'object') {
      try {
        msg += ` ${JSON.stringify(arguments[i])}`;
      } catch (e) {
        // do nothing
        if (window) {
          console.log('aeLog 异常');
        } else {
          $.writeln('aeLog 异常');
        }
      }
    } else {
      msg += ` ${arguments[i]}`;
    }
  }
  if (window) {
    console.log(msg);
  } else {
    $.writeln(msg);
  }
}
