/* eslint-disable */
export function forEach(arr, callback) {
  for (let i = 0; arr && i < arr.length; i++) {
    callback && callback(arr[i], i);
  }
}

export function objAssign(target, sources) {
  let result = deepClone(target);
  let args = [].slice.call(arguments, 1);

  for (let index = 0; index < args.length; index++) {
    let source = args[index];
    if (source == null) continue;
    for (let key in source) {
      if (Object.prototype.hasOwnProperty.call(source, key)) {
        result[key] = source[key];
      }
    }
  }
  return result;
}

export function objKeys(obj) {
  const resutl = [];
  if (!obj) return resutl;
  for (let key in obj) {
    if (Object.prototype.hasOwnProperty.call(obj, key)) {
      resutl.push(key);
    }
  }
  return resutl;
}


// 深拷贝：序列化反序列化法 （只能深拷贝对象和数组）
export function deepClone(obj) {
  return JSON.parse(JSON.stringify(obj))
}
